Built LMS Help Center
API Reference and PlaygroundOthercourse generations

POST Cancel a course generation run

Cancels a running or paused run. A canceled run cannot be restarted. Repeating the call reports already_canceled.

POST
/course-generations/{id}/cancel

Cancels a running or paused run. A canceled run cannot be restarted. Repeating the call reports already_canceled.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/course-generations/{id}/cancel" \  -H "Content-Type: application/json" \  -d '{    "reason": "Example reason",    "idempotency_key": "Example idempotency key"  }'
{  "data": {    "data": null,    "meta": {      "organization_id": "{organization_id}",      "total": 0,      "total_count": 0,      "limit": 0,      "offset": 0,      "has_more": true,      "requested_at": "2019-08-24T14:15:22Z"    }  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}